// When color definition differs for dark and light variant,
// it gets @if ed depending on $variant

// light colors
$monet_base_color_light: #e3e6da;
$monet_background_color_light: #e3e6da;
$monet_foreground_color_light: #2f3322;

// dark colors
$monet_base_color_dark: #2f3322;
$monet_background_color_dark: #2f3322;
$monet_foreground_color_dark: #e3e6da;

// general colors
$monet_warning_color: #f57900;
$monet_error_color: #cc0000;
$monet_success_color: #33d17a;
$monet_destructive_color: #e01b24;
$monet_accent_color: #a8cc3d;

$base_color: if($variant == 'light', $monet_base_color_light, lighten(desaturate($monet_base_color_dark, 5%), 2%));
$bg_color: if($variant == 'light', $monet_background_color_light, darken(desaturate($monet_background_color_dark, 5%), 4%));
$fg_color: if($variant == 'light', $monet_foreground_color_light, $monet_foreground_color_dark);

$selected_fg_color: $monet_base_color_light;
$selected_bg_color: if($variant == 'light', $monet_accent_color, darken($monet_accent_color, 10%));
$selected_borders_color: if($variant== 'light', darken($selected_bg_color, 15%), darken($selected_bg_color, 30%));
$borders_color: if($variant == 'light', darken($bg_color, 18%), darken($bg_color, 8%));
$borders_edge: if($variant == 'light', rgba(255,255,255,0.8), transparentize($fg_color, 0.93));
$link_color: if($variant == 'light', darken($selected_bg_color, 10%), lighten($selected_bg_color, 20%));
$link_visited_color: if($variant == 'light', darken($selected_bg_color, 20%), lighten($selected_bg_color, 10%));
$top_hilight: $borders_edge;

$warning_color: $monet_warning_color;
$error_color: $monet_error_color;
$success_color: if($variant == 'light', $monet_success_color, darken($monet_success_color, 10%));
$destructive_color: if($variant == 'light', $monet_destructive_color, darken($monet_destructive_color, 10%));

$osd_fg_color: $monet_foreground_color_dark;
$osd_text_color: white;
$osd_bg_color: transparentize(darken(desaturate($monet_background_color_dark, 5%), 12%),0.04);
$osd_insensitive_bg_color: transparentize(mix($osd_fg_color, opacify($osd_bg_color, 1), 10%), 0.5);
$osd_insensitive_fg_color: mix($osd_fg_color, opacify($osd_bg_color, 1), 50%);
$osd_borders_color: transparentize(black, 0.3);
$osd_outer_borders_color: transparentize(white, 0.84);

$shadow_color: if($variant == 'light', rgba(0,0,0,0.1), rgba(0,0,0,0.2));
$system_bg_color: desaturate($monet_base_color_dark, 5%); //neutralize the HIG color

//insensitive state derived colors
$insensitive_fg_color: mix($fg_color, $bg_color, 50%);
$insensitive_bg_color: mix($bg_color, $base_color, 60%);
$insensitive_borders_color: mix($borders_color, $base_color, 60%);

//colors for the backdrop state, derived from the main colors.
$backdrop_base_color: if($variant =='light', darken($base_color,1%), lighten($base_color,1%));
$backdrop_bg_color: $bg_color;
$backdrop_fg_color: mix($fg_color, $backdrop_bg_color, 80%);
$backdrop_insensitive_color: if($variant =='light', darken($backdrop_bg_color,15%), lighten($backdrop_bg_color,15%));
$backdrop_borders_color: mix($borders_color, $bg_color, 90%);
$backdrop_dark_fill: mix($backdrop_borders_color,$backdrop_bg_color, 35%);

